import { Block, ContractDefinition, FunctionDefinition, IfStatement, Statement } from "solidity-parser-antlr";
import { ContractEnhanced } from "./contractEnhanced";
import { InjectionPoint } from "./types";
export declare class Instrumenter {
    private contract;
    private injectionPoints;
    constructor(contract: ContractEnhanced);
    getInjectionPoints(): InjectionPoint[];
    instrumentContractDefinition(node: ContractDefinition): void;
    instrumentFunction(node: FunctionDefinition): void;
    instrumentStatement(node: Statement, parent: Block): void;
    instrumentIfStatement(node: IfStatement): void;
    private wrapInBlock;
    private addInjectionPoints;
}
//# sourceMappingURL=instrumenter.d.ts.map